X2Go Bug report logs - #724
Scanning does not work over romote-desktop session with sane

version graph

Package: x2goserver-xsession; Maintainer for x2goserver-xsession is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver-xsession is src:x2goserver.

Reported by: Andreas Glaeser <bugs.andreas.glaeser@freenet.de>

Date: Thu, 8 Jan 2015 08:25:01 UTC

Severity: wishlist

Tags: not-a-bug, wontfix

Found in version 4.0.1.18-0x2go1+git20141006.949+wheezy.main.1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#724; Package x2goserver-xsession. (Thu, 08 Jan 2015 08:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Glaeser <bugs.andreas.glaeser@freenet.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 08 Jan 2015 08:25:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Andreas Glaeser <bugs.andreas.glaeser@freenet.de>
To: submit@bugs.x2go.org
Subject: Scanning does not work over romote-desktop session with sane
Date: Thu, 8 Jan 2015 09:04:48 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: x2goserver-xsession 
Version: 4.0.1.18-0x2go1+git20141006.949+wheezy.main.1

simple-scan does not work over x2go-remote-desktop session.
See there: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=761398

It is most probably a problem with user-rights and and with the sane-backend.
When trying to scan, it looks like this on the terminal:

andreas@md-ho:~$ simple-scan
p11-kit: invalid config filename, will be ignored in the
future: /etc/pkcs11/modules/gnome-keyring-module

** (simple-scan:23088): WARNING **: scanner.vala:801: Unable to get open device: Access
to resource has been denied

xsane says: 'Failed to open device 'pixma:04A9172B': Access to resource has been dnied.

But scanning works, when there is a local session running on the machine (i.e. the
remote-desktop server) from the same user.

Normally this is no problem at all for thin-clients, because they do not have a scanner
connected to the desktop-server. But in my case it is a problem. I also do acknowledge
that not many people do have this problem, so it is severity 3 only.

Please let me know, if I should rather report this against the sane-backend.

There is the original report:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=774830

> Package: x2goserver-xsession             
> New: yes
> State: installed
> Automatically installed: no
> Version: 4.0.1.18-0x2go1+git20141006.949+wheezy.main.1
> Priority: optional
> Section: x11
> Maintainer: X2Go Developers <x2go-dev@lists.berlios.de>
> Architecture: all
> Uncompressed Size: 80.9 k
> Depends: x2goserver (>= 4.0.1.18-0x2go1+git20141006.949+wheezy.main.1), x2goserver (<
>          4.0.1.18-0x2go1+git20141006.949+wheezy.main.1.1~), x11-common
> Description: X2Go server daemon scripts (Xsession runner)
>  X2Go is a server based computing environment with 
>  * session resuming 
>  * low bandwidth support 
>  * session brokerage support 
>  * client-side mass storage mounting support 
>  * client-side printing support 
>  * audio support 
>  * authentication by smartcard and USB stick 
>    
>  This X2Go server add-on enables Xsession script handling when starting desktop sessions
>  with X2Go. 
>  
>  Amongst others the parsing of Xsession scripts will enable desktop-profiles, ssh-agent
>  startups, gpgagent startups and many more Xsession related features on X2Go session
>  login automagically.
> Homepage: http://code.x2go.org/releases/source/x2goserver

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iEYEARECAAYFAlSuOiYACgkQ5+rBHyUt5ws2oQCfbC3nWqki3BH+FKhFE3Y/yghd
iP8AoLZ/tYtHi9le4qdCyBL0uImlpwGa
=G2w8
-----END PGP SIGNATURE-----

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#724; Package x2goserver-xsession. (Thu, 08 Jan 2015 14:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 08 Jan 2015 14:10:01 GMT) Full text and rfc822 format available.

Message #10 received at 724@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 724@bugs.x2go.org
Subject: Bug#724: Scanning does not work over romote-desktop session with sane
Date: Thu, 08 Jan 2015 15:02:31 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Control: tag -1 wontfix
Control: tag -1 notabug
Control: tag -1 close

Hello, Andreas.

I couldn't help but notice that you already reported this on X2Go-User
back in November of 2014.
(http://lists.x2go.org/pipermail/x2go-user/2014-November/002679.html)

So, let me quote from my reply to you that I sent back then
(http://lists.x2go.org/pipermail/x2go-user/2014-November/002680.html):

> I fail to see what this has to do with X2Go, other than you used
> X2go as a workaround for your problem. We're not Debian, we're not
> XOrg, so the bug report mentioned has nothing to do with us.

If you feel differently, please be more precise in your explanation as
to why you believe it to be an X2Go bug.

- -Stefan

- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (MingW32)

iQEcBAEBAgAGBQJUro33AAoJEG7d9BjNvlEZ0X4H/2NsT1wwZCE1rkfhFt4RfoQL
Kl3w0hgUVLf7Jfg/GfOY+OTEEQoe33iEisktHnwT/BVOWt8Es+w0hqi7nqqu5JET
XmX7hewcQ38VPXHArSj/UQiXbDyY8m2US9DLVI2aOJ2H+/4MLnMrJcZY53abOPVk
TG4yY0yOSPBHgATIzycGwn8CPi9fVGw8HQdDchUUB0FPAaKrBYYq78DPA6OrTZ+0
poDV86+cBqnc7JS1aharjNk8Og/n6YDH3JbsGjStzT8X98+0De3CJWhlAlLI4i2e
bnWRbFZOp0iii5r3SyQF1yNLC9xfxEGGE8ZFCc1rlWExM29WaqD56REtWvef6NU=
=5+3O
-----END PGP SIGNATURE-----


Added tag(s) wontfix. Request was from Stefan Baur <X2Go-ML-1@baur-itcs.de> to 724-submit@bugs.x2go.org. (Thu, 08 Jan 2015 14:10:02 GMT) Full text and rfc822 format available.

Added tag(s) not-a-bug. Request was from Stefan Baur <X2Go-ML-1@baur-itcs.de> to control@bugs.x2go.org. (Thu, 08 Jan 2015 14:15:02 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Stefan Baur <X2Go-ML-1@baur-itcs.de> to control@bugs.x2go.org. (Thu, 08 Jan 2015 14:35:02 GMT) Full text and rfc822 format available.

Notification sent to Andreas Glaeser <bugs.andreas.glaeser@freenet.de>:
Bug acknowledged by developer. (Thu, 08 Jan 2015 14:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and filed, but not forwarded. (Thu, 08 Jan 2015 15:40:01 GMT) Full text and rfc822 format available.

Message #21 received at 724-quiet@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>, 724-quiet@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#724: Scanning does not work over romote-desktop session with sane
Date: Thu, 08 Jan 2015 15:35:15 +0000
[Message part 1 (text/plain, inline)]
Control tag -1 not-a-bug

On  Do 08 Jan 2015 15:02:31 CET, Stefan Baur wrote:

> Control: tag -1 wontfix
> Control: tag -1 notabug
> Control: tag -1 close

Fixing the not-a-bug tag...

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#724; Package x2goserver-xsession. (Fri, 09 Jan 2015 08:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Glaeser <bugs.andreas.glaeser@freenet.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Jan 2015 08:40:02 GMT) Full text and rfc822 format available.

Message #26 received at 724@bugs.x2go.org (full text, mbox):

From: Andreas Glaeser <bugs.andreas.glaeser@freenet.de>
To: 724@bugs.x2go.org
Subject: Explanation
Date: Fri, 9 Jan 2015 09:13:58 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


The problem should be easily fixable, because it vanishes, when the same user, that has
an x2go-session running and wants to do a scanning-job over it, is logged in locally on
the server.
But if you want to tell me, it is actually a feature and not a bug, well, then you are
free to do so.
I heard already there is something upcoming like a usb-over ethernet driver. This would be
a viable workaround then.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iEYEARECAAYFAlSvjdoACgkQ5+rBHyUt5wv5xgCgnQFbE0tluEtOxG9wzCdyuRPZ
2gsAoKtXBDLS5o7lMeU20KyifDiQnYqB
=Y1WW
-----END PGP SIGNATURE-----

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#724; Package x2goserver-xsession. (Fri, 09 Jan 2015 11:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Jan 2015 11:15:01 GMT) Full text and rfc822 format available.

Message #31 received at 724@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Andreas Glaeser <bugs.andreas.glaeser@freenet.de>, 724@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#724: Explanation
Date: Fri, 09 Jan 2015 11:12:22 +0000
[Message part 1 (text/plain, inline)]
Control: severity -1 wishlist

Hi Andreas,

On  Fr 09 Jan 2015 09:13:58 CET, Andreas Glaeser wrote:

> The problem should be easily fixable, because it vanishes, when the  
> same user, that has
> an x2go-session running and wants to do a scanning-job over it, is  
> logged in locally on
> the server.
> But if you want to tell me, it is actually a feature and not a bug,  
> well, then you are
> free to do so.
> I heard already there is something upcoming like a usb-over ethernet  
> driver. This would be
> a viable workaround then

I presume your issue caused by the way systemd or consolekit handles  
your SEAT that the X2Go Session runs in.

For USB flashdrives and CD/DVD-ROMs, for example, the SEAT properties  
hinder the devices to pop up as desktop icons once a flash drive /  
optical disk is inserted.

Maybe something similar is implemented in sane and tools around sane.

Please help debugging this issue in depth if you expect a solution for  
this issue (read the sane code and the simple-scan code and check  
where that error message gets raised). I guess, not many developers  
have a personal interest in working on this (Sorry!).

Dropping severity to "wishlist"...

Mike

PS: please also note that USB-over-IP is music of the far future  
(unless someone sponsors it financially).

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Severity set to 'wishlist' from 'normal' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 724-submit@bugs.x2go.org. (Fri, 09 Jan 2015 11:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and filed, but not forwarded.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 09 Jan 2015 13:05:02 GMT) Full text and rfc822 format available.


Message #36 received at 724-quiet@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 724-quiet@bugs.x2go.org
Date: Fri, 09 Jan 2015 13:57:42 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Control: reopen -1


- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (MingW32)

iQEcBAEBAgAGBQJUr9BGAAoJEG7d9BjNvlEZJY0IAIuJJOl6tw6u+am2dJFRzYIs
HxgBywsyTEqwKigT07SgAmoRM3OQq5qii/7bzRxs8u6hrTdAgOT52OIKAPnkmrww
VNwdtRStIjFIVdJRb0b4cnR0wr3dBHzsbKfpTnaqy1DQukGTv4sTHskOrm1lN4aq
klLAPPL4yy5lUvY7Bnwn3ooL20YVEBzNghxggUaJjXjE5jeNeoP5CaGI3RoK1SBP
dwwNHkZE4Ov0zy/dOklliqd4GH0zPKRkd2X8PmClH/3ZBYWMH2kZgnLDwIj4MnC2
150eLJ8QsbH5+tTATxwjF/gcivwMcCmcUTR9TN4xweXM9hbyLCsokJGltFrlgAg=
=GWmL
-----END PGP SIGNATURE-----


Bug reopened Request was from Stefan Baur <X2Go-ML-1@baur-itcs.de> to control@bugs.x2go.org. (Fri, 09 Jan 2015 13:10:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#724; Package x2goserver-xsession. (Sun, 18 Sep 2016 16:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "FedEx International Economy" <walter.hale@canadalibya.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 18 Sep 2016 16:35:02 GMT) Full text and rfc822 format available.

Message #43 received at 724@bugs.x2go.org (full text, mbox):

From: "FedEx International Economy" <walter.hale@canadalibya.com>
To: 724@bugs.x2go.org
Subject: Problem with parcel shipping, ID:00376110
Date: Sun, 18 Sep 2016 16:32:23 +0000
[Message part 1 (text/plain, inline)]
Dear Customer,

We could not deliver your parcel.
Delivery Label is attached to this email.

Kind regards,
Walter Hale,
Station Agent.

[FedEx_ID_00376110.zip (application/zip, attachment)]

Acknowledgement sent to parquet@parquetsangaletti.it:
Extra info received and filed, but not forwarded. (Mon, 24 Apr 2017 04:05:02 GMT) Full text and rfc822 format available.

Message #46 received at 724-quiet@bugs.x2go.org (full text, mbox):

From: parquet@parquetsangaletti.it
To: 724-quiet@bugs.x2go.org
Subject: Parcel 01459127 delivery notification, UPS
Date: Mon, 24 Apr 2017 04:04:21 +0000
[Message part 1 (text/plain, inline)]
Dear Customer,

Your parcel was successfully delivered April 22 to UPS Station, but our courier cound not contact you.

Postal label is enclosed to this e-mail. Please check the attachment!

Yours respectfully,
Derek Hewitt,
UPS Parcels Operation Agent.

[UPS-Label-01459127.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#724; Package x2goserver-xsession. (Mon, 19 Mar 2018 10:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "domainFACTORY Vertragsservice" <langer.norbert@t-online.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 19 Mar 2018 10:05:01 GMT) Full text and rfc822 format available.

Message #51 received at 724@bugs.x2go.org (full text, mbox):

From: "domainFACTORY Vertragsservice" <langer.norbert@t-online.de>
To: Recipients <langer.norbert@t-online.de>
Subject: Account aktualisieren domainFACTORY
Date: Mon, 19 Mar 2018 10:53:37 +0100
[Message part 1 (text/plain, inline)]
 
   
 
    Aufmerksamkeit Domain Factory Kunde, 
Es ist eine ungewöhnliche Aktivität in Ihrem df.eu-Paket   und es betrifft unseren Server, wir senden Ihnen diese E-Mail   Um dich zu reinigen deinen Account,     KLICK HIER     Es wird empfohlen, auf die Login-Schaltfläche zu klicken, um Ihr Konto oder Ihr Konto zu bereinigen
Vorübergehend gesperrt.   Vielen Dank

_____________________________________________________________________ 

domainFACTORY GmbH, Oskar-Messter-Straße 33, 85737 Ismaning, Germany 
Telephone: 0800 323 98 00 Fax: 0800 323 99 00 (free call) 

E-mail: support@df.eu Internet: www.df.eu 
Register court: Amtsgericht München, HRB 150294 
Director: Sara Marburg, Jochen Tuchbreiter 

[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Dec 15 12:22:45 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.